;================================
;          ZX-Assembler-2 
;      by Artic Computing LTD
;================================

@ProgInfo
	LD HL,(400C)	;DFILE, First clear bottom three lines of DFile
	LD BC,02B5	;Offset
	ADD HL,BC
	PUSH HL
	LD B,63		;Bytes to clear
@ClearBot
	INC HL	
	BIT 6,(HL)
	JR NZ SkipNL1
	LD (HL),80
@SkipNL1
	DJNZ ClearBot 
@PrintInfo
	LD HL,(4032)	;SEED, Line # containing text to print
	CALL 09D8	;LADDR, find it's address
	BIT 6,(HL)
	JR Z header	;If Z line was found
	POP HL		;If NZ Clear the stack and return
	RET
@Header
	LD BC,0006	;Skip line header bytes
	ADD HL,BC	;HL=Start of text data
	EX DE,HL	;DE=Start of text data
	POP HL		;HL=DFile destination
@PrintNext
	INC HL
	BIT 6,(HL)
	JR NZ PrintNext
	LD A,(DE)	;Chr. to print
	CP 0B		;EOL marker?
	RET Z		;Yes, return
	LD (HL),A
	INC DE		;Next chr to print.
	JR PrintNext